import { DocumentNode } from 'graphql';
import { Checkout, UserError } from './generated';
/**
 * A function that implements uses a GraphQL library to imperitavely execute GraphQL queries and mutations.
 */
export declare type QueryFunction = <ExpectedResult, Variables extends object>(query: string | DocumentNode, variables: Variables) => Promise<{
    data: ExpectedResult;
}>;
export declare type CheckoutResponse<Key extends string> = {
    [K in Key]: {
        checkout?: Checkout;
        checkoutUserErrors?: UserError[];
    };
};
